Paper Trading
Place a paper trading order
POST
appApiKeyheader
x-app-api-key<token>App-scoped API key. It is the only credential on partner-admin reads, paper-trading admin, and webhook rotate or replay. POST /bot-protection/verify requires it together with x-app-id.
appId*stringaccountId*stringapplication/json- body
venueMarketOutcomeId*stringside*stringValue in
"buy""sell"spendRaw?stringMatch
^[0-9]+$spend?numberRange
0 <= valueshares?numberRange
0 <= valueslippageBps?numberRange
0 <= value <= 10000clientOrderId?stringLength
1 <= length <= 160201
application/json- response
id*stringaccountId*stringvenue*stringvenueMarketId*stringvenueMarketOutcomeId*stringmarketQuestion*stringoutcomeLabel*stringside*stringValue in
"buy""sell"status*stringValue in
"filled""rejected"clientOrderId*stringrequestedSpendRaw*stringrequestedSpend*numberrequestedShares*numberfilledShares*numberavgPrice*numberslippageBps*numbernotionalRaw*stringnotional*numbercashDeltaRaw*stringcashDelta*numberrealizedPnlRaw*stringrealizedPnl*numberrejectionReason*stringcreatedAt*stringcurl -X POST 'https://api.t.sufwankhalid.com/apps/string/paper-trading/accounts/string/orders' \ -H 'Content-Type: application/json' \ -d '{ "venueMarketOutcomeId": "string", "side": "buy"}'Example Response
{ "id": "string", "accountId": "string", "venue": "string", "venueMarketId": "string", "venueMarketOutcomeId": "string", "marketQuestion": "string", "outcomeLabel": "string", "side": "buy", "status": "filled", "clientOrderId": "string", "requestedSpendRaw": "string", "requestedSpend": 0, "requestedShares": 0, "filledShares": 0, "avgPrice": 0, "slippageBps": 0, "notionalRaw": "string", "notional": 0, "cashDeltaRaw": "string", "cashDelta": 0, "realizedPnlRaw": "string", "realizedPnl": 0, "rejectionReason": "string", "createdAt": "string"}